cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Contributor
Contributor
4,418 Views
Registered: ‎10-12-2014

petalinux 2018.2 install errors on Ubuntu 18.04 LTS x64

f

0 Kudos
6 Replies
Highlighted
Contributor
Contributor
4,409 Views
Registered: ‎10-12-2014

I see these error below on just the installations of arm and microblaze.  And while the /components/yocto/source/aarch64 directory DOES get created and filled it appears that the arm and microblaze directories are NOT created. And so those contents are all being installed on top of one another in /components/yocto/source.

 

When I run petalinux-config in my project directory it fails with "ERROR: Failed to source bitbake" etc.  Looking into ./build/config.log I see:

 

environment: line 224: /home/dan/petalinux-v2018.2-final/components/yocto/source/arm/environment-setup-cortexa9hf-neon-xilinx-linux-gnueabi: No such file or directory

 

And of course this is true because /components/yocto/source/arm is never being created during petalinux install.

 

Is anyone else seeing this?

 

 

PetaLinux Extensible SDK installer version 2018.2
=================================================
You are about to install the SDK to "/home/dan/petalinux-v2018.2-final/components/yocto/source/aarch64". Proceed[Y/n]? Y
Extracting SDK................................done
Setting it up...
Extracting buildtools...
done
SDK has been successfully set up and is ready to be used.
Each time you wish to use the SDK in a new shell session, you need to source the environment setup script e.g.
$ . /home/dan/petalinux-v2018.2-final/components/yocto/source/aarch64/environment-setup-aarch64-xilinx-linux
INFO: Installing Yocto SDK to "/home/dan/petalinux-v2018.2-final//./components/yocto/source/"...
PetaLinux Extensible SDK installer version 2018.2
=================================================
You are about to install the SDK to "/home/dan/petalinux-v2018.2-final/components/yocto/source". Proceed[Y/n]? Y
Extracting SDK..............................done
Setting it up...
Extracting buildtools...
done
SDK has been successfully set up and is ready to be used.
Each time you wish to use the SDK in a new shell session, you need to source the environment setup script e.g.
$ . /home/dan/petalinux-v2018.2-final/components/yocto/source/environment-setup-cortexa9hf-neon-xilinx-linux-gnueabi
environment: line 277: locked_signs: bad array subscript
INFO: Installing Yocto SDK to "/home/dan/petalinux-v2018.2-final//./components/yocto/source/"...
PetaLinux Extensible SDK installer version 2018.2
=================================================

0 Kudos
Highlighted
Moderator
Moderator
4,321 Views
Registered: ‎12-04-2016

Hi 

 

We are not sure about petalinux functionality on ubuntu 18.04 as we are still recommending to use ubuntu 16.04 as this verified distro

as per our UG1144

https://www.xilinx.com/support/documentation/sw_manuals/xilinx2018_2/ug1144-petalinux-tools-reference-guide.pdf

 

Make sure to have the prebuilt packages in place, before installing petalinux. In your case, try re-installing the petalinux

 

Best Regards

Shabbir

0 Kudos
Highlighted
Moderator
Moderator
4,314 Views
Registered: ‎04-24-2017

Hi @danwwright,

 

2018.x petalinux release version doesn't support Ubuntu-18.04

Thanks,
Sandeep
PetaLinux Yocto | Embedded SW Support

---------------------------------------------------------------------------
Don’t forget to Reply, Kudo, and Accept as Solution.
---------------------------------------------------------------------------
0 Kudos
Highlighted
4,275 Views
Registered: ‎08-16-2011

Please try:

1. create a fold in $PETALINUX/components/yocto/source/

2. COPY all the files and folds in $PETALINUX/components/yocto/source to $PETALINUX/components/yocto/source/arm

 

sourcing bitbake prablem might be solved.

 

~/petalinux/components/yocto/source/arm$ ls
bitbake-cookerdaemon.log
buildtools
conf
downloads
environment-setup-cortexa9hf-neon-xilinx-linux-gnueabi
layers
site-config-cortexa9hf-neon-xilinx-linux-gnueabi
sstate-cache
sysroots
version-cortexa9hf-neon-xilinx-linux-gnueabi
workspace

 

Note: copy the files, not remove them!

Highlighted
Visitor
Visitor
4,184 Views
Registered: ‎05-02-2018

I have the same problem with the 2018.2 installer on Debian Stretch.  Solved it by (temporarily) downgrading Bash to 4.3.

 

The problem with Ubuntu 18.04 was predicted in this thread:

https://forums.xilinx.com/t5/Embedded-Linux/Peta-Linux-2018-1-install-failure/td-p/853223

 

Highlighted
Visitor
Visitor
237 Views
Registered: ‎06-17-2020

That worked..  Thank you..

0 Kudos